diff --git a/changelog b/changelog
index 04a20e2..d6c0bdd 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20070915 tpd src/algebra/carten minor edit for regression cleanup
 20070914 wxh src/hyper/hyper fix bad bracing of )hd change
 20070914 tpd src/algebra/fraction.spad remove double )spool command
 20070914 tpd src/algebra/kl.spad remove double )spool command
diff --git a/src/algebra/carten.spad.pamphlet b/src/algebra/carten.spad.pamphlet
index 85f7027..5dfedb0 100644
--- a/src/algebra/carten.spad.pamphlet
+++ b/src/algebra/carten.spad.pamphlet
@@ -108,7 +108,7 @@ GradedAlgebra(R: CommutativeRing, E: AbelianMonoid): Category ==
 )set message test on
 )set message auto off
 )clear all
---S 1
+--S 1 of 48
 CT := CARTEN(i0 := 1, 2, Integer)
 --R 
 --R
@@ -116,7 +116,7 @@ CT := CARTEN(i0 := 1, 2, Integer)
 --R                                                                 Type: Domain
 --E 1
 
---S 2
+--S 2 of 48
 t0: CT := 8
 --R 
 --R
@@ -124,7 +124,7 @@ t0: CT := 8
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 2
 
---S 3
+--S 3 of 48
 rank t0
 --R 
 --R
@@ -132,7 +132,7 @@ rank t0
 --R                                                     Type: NonNegativeInteger
 --E 3
 
---S 4
+--S 4 of 48
 v: DirectProduct(2, Integer) := directProduct [3,4]
 --R 
 --R
@@ -140,7 +140,7 @@ v: DirectProduct(2, Integer) := directProduct [3,4]
 --R                                               Type: DirectProduct(2,Integer)
 --E 4
 
---S 5
+--S 5 of 48
 Tv: CT := v
 --R 
 --R
@@ -148,7 +148,7 @@ Tv: CT := v
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 5
 
---S 6
+--S 6 of 48
 m: SquareMatrix(2, Integer) := matrix [ [1,2],[4,5] ]
 --R 
 --R
@@ -158,7 +158,7 @@ m: SquareMatrix(2, Integer) := matrix [ [1,2],[4,5] ]
 --R                                                Type: SquareMatrix(2,Integer)
 --E 6
 
---S 7
+--S 7 of 48
 Tm: CT := m
 --R 
 --R
@@ -168,7 +168,7 @@ Tm: CT := m
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 7
 
---S 8
+--S 8 of 48
 n: SquareMatrix(2, Integer) := matrix [ [2,3],[0,1] ]
 --R 
 --R
@@ -178,7 +178,7 @@ n: SquareMatrix(2, Integer) := matrix [ [2,3],[0,1] ]
 --R                                                Type: SquareMatrix(2,Integer)
 --E 8
 
---S 9
+--S 9 of 48
 Tn: CT := n
 --R 
 --R
@@ -188,7 +188,7 @@ Tn: CT := n
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 9
 
---S 10
+--S 10 of 48
 t1: CT := [2, 3]
 --R 
 --R
@@ -196,7 +196,7 @@ t1: CT := [2, 3]
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 10
 
---S 11
+--S 11 of 48
 rank t1
 --R 
 --R
@@ -204,7 +204,7 @@ rank t1
 --R                                                        Type: PositiveInteger
 --E 11
 
---S 12
+--S 12 of 48
 t2: CT := [t1, t1]
 --R 
 --R
@@ -214,7 +214,7 @@ t2: CT := [t1, t1]
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 12
 
---S 13
+--S 13 of 48
 t3: CT := [t2, t2]
 --R 
 --R
@@ -224,7 +224,7 @@ t3: CT := [t2, t2]
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 13
 
---S 14
+--S 14 of 48
 tt: CT := [t3, t3]; tt := [tt, tt]
 --R 
 --R
@@ -238,7 +238,7 @@ tt: CT := [t3, t3]; tt := [tt, tt]
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 14
 
---S 15
+--S 15 of 48
 rank tt
 --R 
 --R
@@ -246,7 +246,7 @@ rank tt
 --R                                                        Type: PositiveInteger
 --E 15
 
---S 16
+--S 16 of 48
 Tmn := product(Tm, Tn)
 --R 
 --R
@@ -260,7 +260,7 @@ Tmn := product(Tm, Tn)
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 16
 
---S 17
+--S 17 of 48
 Tmv := contract(Tm,2,Tv,1)
 --R 
 --R
@@ -268,7 +268,7 @@ Tmv := contract(Tm,2,Tv,1)
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 17
 
---S 18
+--S 18 of 48
 Tm*Tv
 --R 
 --R
@@ -276,7 +276,7 @@ Tm*Tv
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 18
 
---S 19
+--S 19 of 48
 Tmv = m * v
 --R 
 --R
@@ -284,7 +284,7 @@ Tmv = m * v
 --R                                  Type: Equation CartesianTensor(1,2,Integer)
 --E 19
 
---S 20
+--S 20 of 48
 t0()
 --R 
 --R
@@ -292,7 +292,7 @@ t0()
 --R                                                        Type: PositiveInteger
 --E 20
 
---S 21
+--S 21 of 48
 t1(1+1)
 --R 
 --R
@@ -300,7 +300,7 @@ t1(1+1)
 --R                                                        Type: PositiveInteger
 --E 21
 
---S 22
+--S 22 of 48
 t2(2,1)
 --R 
 --R
@@ -308,7 +308,7 @@ t2(2,1)
 --R                                                        Type: PositiveInteger
 --E 22
 
---S 23
+--S 23 of 48
 t3(2,1,2)
 --R 
 --R
@@ -316,7 +316,7 @@ t3(2,1,2)
 --R                                                        Type: PositiveInteger
 --E 23
 
---S 24
+--S 24 of 48
 Tmn(2,1,2,1)
 --R 
 --R
@@ -324,7 +324,7 @@ Tmn(2,1,2,1)
 --R                                                     Type: NonNegativeInteger
 --E 24
 
---S 25
+--S 25 of 48
 t0[]
 --R 
 --R
@@ -332,7 +332,7 @@ t0[]
 --R                                                        Type: PositiveInteger
 --E 25
 
---S 26
+--S 26 of 48
 t1[2]
 --R 
 --R
@@ -340,7 +340,7 @@ t1[2]
 --R                                                        Type: PositiveInteger
 --E 26
 
---S 27
+--S 27 of 48
 t2[2,1]
 --R 
 --R
@@ -348,7 +348,7 @@ t2[2,1]
 --R                                                        Type: PositiveInteger
 --E 27
 
---S 28
+--S 28 of 48
 t3[2,1,2]
 --R 
 --R
@@ -356,7 +356,7 @@ t3[2,1,2]
 --R                                                        Type: PositiveInteger
 --E 28
 
---S 29
+--S 29 of 48
 Tmn[2,1,2,1]
 --R 
 --R
@@ -364,7 +364,7 @@ Tmn[2,1,2,1]
 --R                                                     Type: NonNegativeInteger
 --E 29
 
---S 30
+--S 30 of 48
 cTmn := contract(Tmn,1,2)
 --R 
 --R
@@ -374,7 +374,7 @@ cTmn := contract(Tmn,1,2)
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 30
 
---S 31
+--S 31 of 48
 trace(m) * n
 --R 
 --R
@@ -384,7 +384,7 @@ trace(m) * n
 --R                                                Type: SquareMatrix(2,Integer)
 --E 31
 
---S 32
+--S 32 of 48
 contract(Tmn,1,2) = trace(m) * n
 --R 
 --R
@@ -394,7 +394,7 @@ contract(Tmn,1,2) = trace(m) * n
 --R                                  Type: Equation CartesianTensor(1,2,Integer)
 --E 32
 
---S 33
+--S 33 of 48
 contract(Tmn,1,3) = transpose(m) * n
 --R 
 --R
@@ -404,7 +404,7 @@ contract(Tmn,1,3) = transpose(m) * n
 --R                                  Type: Equation CartesianTensor(1,2,Integer)
 --E 33
 
---S 34
+--S 34 of 48
 contract(Tmn,1,4) = transpose(m) * transpose(n)
 --R 
 --R
@@ -414,7 +414,7 @@ contract(Tmn,1,4) = transpose(m) * transpose(n)
 --R                                  Type: Equation CartesianTensor(1,2,Integer)
 --E 34
 
---S 35
+--S 35 of 48
 contract(Tmn,2,3) = m * n
 --R 
 --R
@@ -424,7 +424,7 @@ contract(Tmn,2,3) = m * n
 --R                                  Type: Equation CartesianTensor(1,2,Integer)
 --E 35
 
---S 36
+--S 36 of 48
 contract(Tmn,2,4) = m * transpose(n)
 --R 
 --R
@@ -434,7 +434,7 @@ contract(Tmn,2,4) = m * transpose(n)
 --R                                  Type: Equation CartesianTensor(1,2,Integer)
 --E 36
 
---S 37
+--S 37 of 48
 contract(Tmn,3,4) = trace(n) * m
 --R 
 --R
@@ -444,7 +444,7 @@ contract(Tmn,3,4) = trace(n) * m
 --R                                  Type: Equation CartesianTensor(1,2,Integer)
 --E 37
 
---S 38
+--S 38 of 48
 tTmn := transpose(Tmn,1,3)
 --R 
 --R
@@ -458,7 +458,7 @@ tTmn := transpose(Tmn,1,3)
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 38
 
---S 39
+--S 39 of 48
 transpose Tmn
 --R 
 --R
@@ -472,7 +472,7 @@ transpose Tmn
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 39
 
---S 40
+--S 40 of 48
 transpose Tm = transpose m
 --R 
 --R
@@ -482,7 +482,7 @@ transpose Tm = transpose m
 --R                                  Type: Equation CartesianTensor(1,2,Integer)
 --E 40
 
---S 41
+--S 41 of 48
 rTmn := reindex(Tmn, [1,4,2,3])
 --R 
 --R
@@ -496,7 +496,7 @@ rTmn := reindex(Tmn, [1,4,2,3])
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 41
 
---S 42
+--S 42 of 48
 tt := transpose(Tm)*Tn - Tn*transpose(Tm)
 --R 
 --R
@@ -506,7 +506,7 @@ tt := transpose(Tm)*Tn - Tn*transpose(Tm)
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 42
 
---S 43
+--S 43 of 48
 Tv*(tt+Tn)
 --R 
 --R
@@ -514,7 +514,7 @@ Tv*(tt+Tn)
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 43
 
---S 44
+--S 44 of 48
 reindex(product(Tn,Tn),[4,3,2,1])+3*Tn*product(Tm,Tm)
 --R 
 --R
@@ -528,7 +528,7 @@ reindex(product(Tn,Tn),[4,3,2,1])+3*Tn*product(Tm,Tm)
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 44
 
---S 45
+--S 45 of 48
 delta:  CT := kroneckerDelta()
 --R 
 --R
@@ -538,7 +538,7 @@ delta:  CT := kroneckerDelta()
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 45
 
---S 46
+--S 46 of 48
 contract(Tmn, 2, delta, 1) = reindex(Tmn, [1,3,4,2])
 --R 
 --R
@@ -552,7 +552,7 @@ contract(Tmn, 2, delta, 1) = reindex(Tmn, [1,3,4,2])
 --R                                  Type: Equation CartesianTensor(1,2,Integer)
 --E 46
 
---S 47
+--S 47 of 48
 epsilon:CT := leviCivitaSymbol()
 --R 
 --R
@@ -562,7 +562,7 @@ epsilon:CT := leviCivitaSymbol()
 --R                                           Type: CartesianTensor(1,2,Integer)
 --E 47
 
---S 48
+--S 48 of 48
 contract(epsilon*Tm*epsilon, 1,2) = 2 * determinant m
 --R 
 --R
